Page MenuHomePhabricator

[Task] DBAL adapter for QueryInterface in WB DB
Closed, DeclinedPublic

Details

Reference
bz71500

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:53 AM
bzimport added a project: WikibaseDatabase.
bzimport set Reference to bz71500.
bzimport added a subscriber: Unknown Object (MLST).

I'm wondering what the status of this task is. Thiemo still working on this or going to start?

I've tackled the bulk of this item in https://github.com/wmde/WikibaseDatabase/pull/60

This still needs to be done before the bug can be closed: https://github.com/wmde/WikibaseDatabase/issues/59

In working on this, I found two further things that need doing before we can use the WB DB code in QueryEngine:

It seems quite likely we will need to add further things to WB DB in the future. Creating and mainting our own thing while we could use a proven solution adds a lot of extra cost.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:33 PM
JanZerebecki lowered the priority of this task from High to Medium.Jul 23 2015, 9:17 PM
JanZerebecki moved this task from incoming to needs discussion or investigation on the Wikidata board.
JeroenDeDauw lowered the priority of this task from Medium to Low.Aug 5 2015, 5:16 AM
Jonas renamed this task from DBAL adapter for QueryInterface in WB DB to [Task] DBAL adapter for QueryInterface in WB DB.Aug 13 2015, 7:38 PM
Jonas updated the task description. (Show Details)
Jonas set Security to None.

Unless we continue with writing an SQL based query implementation and can deploy Doctrine DBAL, there is no reason for this ticket.

thiemowmde changed the task status from Open to Stalled.Sep 10 2015, 3:01 PM
thiemowmde closed this task as Declined.
thiemowmde updated the task description. (Show Details)
thiemowmde removed a subscriber: Wikidata-bugs.